package net.northking.cctp.executePlan.dto.execplanTag;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "标签信息实体")
public class TagInfoDto implements Serializable {
    /**
     * 标签ID<br>
     */
    @ApiModelProperty("标签ID")
    @Size(max = 32, message="标签ID-tagId: 数据长度不能 > 32" )
    private String tagId;
    /**
     * 标签名称<br>
     */
    @ApiModelProperty("标签名称")
    @Size(max = 30, message="标签名称-tagName: 数据长度不能 > 30" )
    private String tagName;

    public String getTagId() {
        return tagId;
    }

    public void setTagId(String tagId) {
        this.tagId = tagId;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
}
